package org.richfaces.component;

import javax.faces.component.UIComponentBase;

public abstract class UIFocusModifier extends UIComponentBase {
// ------------------------------ FIELDS ------------------------------

    public static final String COMPONENT_FAMILY = "org.richfaces.Focus";

    public static final String COMPONENT_TYPE = "org.richfaces.FocusModifier";

// -------------------------- OTHER METHODS --------------------------

    public abstract Integer getPriority();

    public abstract String getSuffix();

    public abstract String getTargetClientId();

    public abstract boolean isSkipped();

    public abstract void setPriority(Integer priority);

    public abstract void setSkipped(boolean skipped);

    public abstract void setSuffix(String value);

    public abstract void setTargetClientId(String focusClientId);
}
