/*
 * JBoss, Home of Professional Open Source
 * Copyright , Red Hat, Inc. and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */

package org.richfaces.component;

public interface NotifyAttributes {

    boolean isSticky();

    void setSticky(boolean sticky);

    Integer getStayTime();

    void setStayTime(Integer time);

    Integer getDelay();

    void setDelay(Integer delay);

    String getStyleClass();

    void setStyleClass(String styleClass);

    String getAppearAnimation();

    void setAppearAnimation(String appearAnimation);

    String getHideAnimation();

    void setHideAnimation(String hideAnimation);

    Integer getAnimationSpeed();

    void setAnimationSpeed(Integer animationSpeed);

    boolean isShowHistory();

    void setShowHistory(boolean showHistory);

    boolean isNonblocking();

    void setNonblocking(boolean nonblocking);

    boolean isShowShadow();

    void setShowShadow(boolean showShadow);

    boolean isShowCloseButton();

    void setShowCloseButton(boolean showCloseButton);

    Double getNonblockingOpacity();

    void setNonblockingOpacity(Double nonblockingOpacity);

    String getStack();

    void setStack(String stack);
}
