package org.richfaces.component;

import javax.faces.component.UIComponentBase;

public abstract class UINotify extends UIComponentBase implements NotifyAttributes {

    public static final String COMPONENT_TYPE = "org.richfaces.Notify";
    public static final String COMPONENT_FAMILY = "org.richfaces.Notify";

    public static final double DEFAULT_NONBLOCKING_OPACITY = .2;

    public abstract String getTitle();

    public abstract void setTitle(String title);

    public abstract String getText();

    public abstract void setText(String text);
}
