package org.richfaces.component.event;

public interface ScheduleListenerEventsProducer {
// -------------------------- OTHER METHODS --------------------------

    void addDateRangeChangeListener(ScheduleDateRangeChangeListener listener);

    void addDateRangeSelectListener(ScheduleDateRangeSelectListener listener);

    void addDateSelectListener(ScheduleDateSelectListener listener);

    void addItemMoveListener(ScheduleItemMoveListener listener);

    void addItemResizeListener(ScheduleItemResizeListener listener);

    void addItemSelectListener(ScheduleItemSelectListener listener);

    void addViewChangeListener(ScheduleViewChangeListener listener);

    ScheduleDateRangeChangeListener[] getDateRangeChangeListeners();

    ScheduleDateRangeSelectListener[] getDateRangeSelectListeners();

    ScheduleDateSelectListener[] getDateSelectListeners();

    ScheduleItemMoveListener[] getItemMoveListeners();

    ScheduleItemResizeListener[] getItemResizeListeners();

    ScheduleItemSelectListener[] getItemSelectListeners();

    ScheduleViewChangeListener[] getViewChangeListeners();

    void removeDateRangeChangeListener(ScheduleDateRangeChangeListener listener);

    void removeDateRangeSelectListener(ScheduleDateRangeSelectListener listener);

    void removeDateSelectListener(ScheduleDateSelectListener listener);

    void removeItemMoveListener(ScheduleItemMoveListener listener);

    void removeItemResizeListener(ScheduleItemResizeListener listener);

    void removeItemSelectListener(ScheduleItemSelectListener listener);

    void removeViewChangeListener(ScheduleViewChangeListener listener);
}
