package org.richfaces.component.event;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesEvent;
import javax.faces.event.FacesListener;

/**
 * Created by IntelliJ IDEA.
 * User: bernard
 * Date: Oct 18, 2010
 * Time: 6:55:06 PM
 */
public class CoordinatesRefreshEvent extends FacesEvent {

    private int startX;
    private int startY;
    private int endX;
    private int endY;

    public CoordinatesRefreshEvent(int startX, int startY, int endX, int endY, UIComponent component) {
        super(component);
        this.startX = startX;
        this.startY = startY;
        this.endX = endX;
        this.endY = endY;
    }

    @Override
    public boolean isAppropriateListener(FacesListener listener) {
        return false;
    }

    @Override
    public void processListener(FacesListener listener) {
        throw new UnsupportedOperationException();
    }

    public int getStartX() {
        return startX;
    }

    public int getStartY() {
        return startY;
    }

    public int getEndX() {
        return endX;
    }

    public int getEndY() {
        return endY;
    }

    @Override
    public String toString() {
        return "CoordinatesRefreshEvent{" +
            "startX=" + startX +
            ", startY=" + startY +
            ", endX=" + endX +
            ", endY=" + endY +
            '}';
    }
}
