package org.richfaces.component;

import javax.faces.component.UIComponentBase;

public abstract class UIDock extends UIComponentBase {
// ------------------------------ FIELDS ------------------------------

    public static final String COMPONENT_FAMILY = "org.richfaces.Dock";

    public static final String COMPONENT_TYPE = "org.richfaces.Dock";

    public static final boolean DEFAULT_ACTIVE = false;

// -------------------------- OTHER METHODS --------------------------

    public abstract int getActive();

    public abstract String getAlign();

    public abstract double getCoefficient();

    public abstract int getDistance();

    public abstract int getDuration();

    public abstract int getFadeIn();

    public abstract String getFadeLayer();

    public abstract int getIdle();

    public abstract int getInactivity();

    public abstract String getLabels();

    public abstract String getLoader();

    public abstract int getSize();

    public abstract int getStep();

    public abstract String getStyle();

    public abstract String getStyleClass();

    public abstract boolean isFlow();

    public abstract boolean isNoBuffer();

    public abstract void setActive(int active);

    public abstract void setAlign(String align);

    public abstract void setCoefficient(double coefficient);

    public abstract void setDistance(int distance);

    public abstract void setDuration(int duration);

    public abstract void setFadeIn(int fadeIn);

    public abstract void setFadeLayer(String fadeLayer);

    public abstract void setFlow(boolean flow);

    public abstract void setIdle(int idle);

    public abstract void setInactivity(int inactivity);

    public abstract void setLabels(String labels);

    public abstract void setLoader(String loader);

    public abstract void setNoBuffer(boolean noBuffer);

    public abstract void setSize(int size);

    public abstract void setStep(int step);

    public abstract void setStyle(String style);

    public abstract void setStyleClass(String styleClass);
}
