package org.richfaces.component;

import javax.faces.component.UIComponentBase;
import java.util.Date;

/**
 * JSF component class
 */
public abstract class UIScheduleItem extends UIComponentBase {
// ------------------------------ FIELDS ------------------------------

    public static final String COMPONENT_FAMILY = "org.richfaces.Schedule";

    public static final String COMPONENT_TYPE = "org.richfaces.ScheduleItem";

    public static final boolean DEFAULT_ALL_DAY = true;

    public static final boolean DEFAULT_EDITABLE = UISchedule.DEFAULT_EDITABLE;

// -------------------------- OTHER METHODS --------------------------

    public abstract Boolean getAllDay();

    public abstract Object getData();

    public abstract Boolean getEditable();

    public abstract Date getEndDate();

    public abstract String getEventId();

    public abstract Date getStartDate();

    public abstract String getStyleClass();

    public abstract String getTitle();

    public abstract String getUrl();

    public abstract void setAllDay(Boolean isAllDay);

    public abstract void setData(Object data);

    public abstract void setEditable(Boolean editable);

    public abstract void setEndDate(Date date);

    public abstract void setEventId(String eventId);

    public abstract void setStartDate(Date date);

    public abstract void setStyleClass(String styleClass);

    public abstract void setTitle(String title);

    public abstract void setUrl(String url);
}
